// priority: 0

StartupEvents.registry("block", event => {
    event.create("wispy_leaves")
    .displayName("Wispy Leaves")
    .grassSoundType()
    .hardness(0.2)
    .resistance(0.2)
    .renderType("cutout")
    .textureAll('minecraft:block/oak_leaves')
    .notSolid()
    .waterlogged()
    .noDrops()

    event.create("block_of_sticks")
    .displayName("Block of Sticks")
    .hardness(2.0)
    .resistance(2.0)
    .woodSoundType()

    event.create("dumb_ae2_not_having_the_creative_me_controller_anymore_why_do_i_need_to_add_this")
    .displayName("Dumb AE2 Not Having The Creative ME Controller Anymore Why Do I Need To Add This")
    .model('ae2:block/controller/controller_block_online')
    .hardness(5.0)
    .resistance(5.0)

    event.create("gaia_spirit_trap_core")
    .displayName("Gaia Spirit Trap Core")
    .hardness(5.0)
    .resistance(5.0)

    event.create("infinity_core")
    .displayName("Infinity Core")
    .hardness(5.0)
    .resistance(5.0)

    event.create("quantum_entangled_core")
    .displayName("Quantum Entangled Core")
    .hardness(5.0)
    .resistance(5.0)

    event.create("powah_core")
    .displayName("Powah Core")
    .item((builder) => (builder.tooltip("The Most Powahful One")))
    .hardness(5.0)
    .resistance(5.0)

    event.create("antimatter_stabilizer_core")
    .displayName("Antimatter Stabilizer Core")
    .hardness(5.0)
    .resistance(5.0)

    event.create("awakened_draconium_core")
    .displayName("Awakened Draconium Core")
    .hardness(5.0)
    .resistance(5.0)
})

